# class ActiveRecord::EagerLoadPolymorphicError

This error is raised when trying to eager load a polymorphic association using a JOIN. Eager loading polymorphic associations is only possible with ActiveRecord::Relation#preload.

### Public Class Methods

new(reflection = nil) click to toggle source
Calls superclass method

    # File lib/active_record/associations.rb, line 181
    def initialize(reflection = nil)
      if reflection
        super("Cannot eagerly load the polymorphic association #{reflection.name.inspect}")
      else
        super("Eager load polymorphic error.")
      end
    end